package com.cy.guoyan.admin.module.guoyan.service.banner;

import java.util.*;
import javax.validation.*;
import com.cy.guoyan.admin.module.guoyan.controller.admin.banner.vo.*;
import com.cy.guoyan.admin.module.guoyan.dal.dataobject.banner.BannerDO;
import com.cy.guoyan.admin.framework.common.pojo.PageResult;
import com.cy.guoyan.admin.framework.common.pojo.PageParam;

/**
 * 横幅 Service 接口
 *
 * @author 管理员
 */
public interface BannerService {

    /**
     * 创建横幅
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBanner(@Valid BannerSaveReqVO createReqVO);

    /**
     * 更新横幅
     *
     * @param updateReqVO 更新信息
     */
    void updateBanner(@Valid BannerSaveReqVO updateReqVO);

    /**
     * 删除横幅
     *
     * @param id 编号
     */
    void deleteBanner(Long id);

    /**
    * 批量删除横幅
    *
    * @param ids 编号
    */
    void deleteBannerListByIds(List<Long> ids);

    /**
     * 获得横幅
     *
     * @param id 编号
     * @return 横幅
     */
    BannerDO getBanner(Long id);

    /**
     * 获得横幅分页
     *
     * @param pageReqVO 分页查询
     * @return 横幅分页
     */
    PageResult<BannerDO> getBannerPage(BannerPageReqVO pageReqVO);

}